aboutsummaryrefslogtreecommitdiff
path: root/triscv/scripts
diff options
context:
space:
mode:
authorKimplul <kimi.h.kuparinen@gmail.com>2024-08-18 01:19:36 +0300
committerKimplul <kimi.h.kuparinen@gmail.com>2024-08-18 01:19:36 +0300
commitf8c192f59a55db99fe088588b161a207b237b288 (patch)
tree2b4d5a3679e02069ae9d8edb0d09edd9cd278f0d /triscv/scripts
parentaa0665af307420e493b09af9a97fbd36fd53ef4b (diff)
downloadtri-f8c192f59a55db99fe088588b161a207b237b288.tar.gz
tri-f8c192f59a55db99fe088588b161a207b237b288.zip
enable analyzer for triscv and fix issuesHEADmaster
Diffstat (limited to 'triscv/scripts')
-rw-r--r--triscv/scripts/makefile11
1 files changed, 8 insertions, 3 deletions
diff --git a/triscv/scripts/makefile b/triscv/scripts/makefile
index ff8b185..9e12a18 100644
--- a/triscv/scripts/makefile
+++ b/triscv/scripts/makefile
@@ -30,9 +30,14 @@ OBJCOPY != [ "$(LLVM)" != "0" ] \
&& echo llvm-objcopy \
|| echo $(CROSS_COMPILE)objcopy
-COMPILER != [ "$(LLVM)" != "0" ] \
- && echo clang --target="$(CROSS_COMPILE)" \
- || echo $(CROSS_COMPILE)gcc
+COMPILER != [ -n "$(CROSS_COMPILE)" ] \
+ && { \
+ [ "$(LLVM)" != "0" ] \
+ && echo clang --target="$(CROSS_COMPILE)" \
+ || echo $(CROSS_COMPILE)gcc \
+ ; \
+ } \
+ || echo $(CC)
OBFLAGS = -std=c17 -g